Subject: RE: BeroFTPD-1.3.2 configure question

From: Albert Lunde <[email-masked]>
Date: Fri, 19 Feb 1999 14:09:05 -0600

>I'm coming up with the same exact error message that you are when
>running "configure" for BeroFTPD-1.3.2:
>
>"checking how to determine wtmpx file... configure: error: Cannot find
>out how to
>locate wtmpx file. Contact [email-masked]."
>
>Have you been able to get by this problem yet? I'm using GCC-2.8.1 and
>the exact same configure switches that you did...

This sounds like a problem I had on HP/UX which I tried to report recently
to [email-masked], but which may not have gotten thru
because of DNS trouble.

>Subject: problems with building BeroFTPD-1.3.3 on HP/UX 10.20
>I'm sending this report to document what I see as two problems with your
>"configure" script.
>
>First, HP/UX 10.20 seems to have a quirk. It has a header file umptx.h, and
>it has a file /var/adm/wtmpx:
>
>>pubweb 39# ls -ld /var/adm/wtmp*
>>-rw-r--r--   1 adm        adm        127701840 Feb 13 17:08 /var/adm/wtmp
>>-rw-r--r--   1 root       sys            280 Dec 31 19:30 /var/adm/wtmpx
>
>But the only time /var/adm/wtmpx seems to be updated is at system reboot: I
>can't find any commands that do anything to it. And there is nothing in the
>header files that defines a symbol for its location:
>
>>pubweb 41# egrep -in wtmp /usr/include/*.h /usr/include/sys/*.h | egrep
>>define
>>/usr/include/utmp.h:18:#define  WTMP_FILE       "/var/adm/wtmp"
>>pubweb 42#
>
>This causes the error below:
>
>>checking how to determine wtmpx file... configure: error: Cannot find out
>>how to
>> locate wtmpx file. Contact [email-masked].
>
>I worked around this bug by deleting the test for "utmpx.h" from the long
>list of header file tests: this seems to produce results as if the test had
>failed.
>
>>pubweb 48# diff configure.dist configure
>>3135c3135
>>< for ac_hdr in unistd.h stdlib.h fcntl.h dirent.h ftw.h regex.h shadow.h
>>grp.h
>>alloca.h sys/termio.h sys/statvfs.h sys/statfs.h sys/vfs.h
>>sys/systeminfo.h sysl
>>og.h sys/syslog.h sys/param.h limits.h values.h bsd/bsd.h posix1_lim.h
>>xopen_lim
>>.h confname.h sys/file.h utmpx.h sac.h strings.h string.h memory.h ndir.h
>>sys/nd
>>ir.h sys/dir.h config.h libgen.h arpa/ftp.h
>>---
>>> for ac_hdr in unistd.h stdlib.h fcntl.h dirent.h ftw.h regex.h shadow.h
>>>grp.h
>>alloca.h sys/termio.h sys/statvfs.h sys/statfs.h sys/vfs.h
>>sys/systeminfo.h sysl
>>og.h sys/syslog.h sys/param.h limits.h values.h bsd/bsd.h posix1_lim.h
>>xopen_lim
>>.h confname.h sys/file.h sac.h strings.h string.h memory.h ndir.h
>>sys/ndir.h sys
>>/dir.h config.h libgen.h arpa/ftp.h
>>pubweb 49#
>
>Another problem is that to get the HP ANSI compiler to work in ANSI mode,
>an extra parameter is required: "-Aa" or "-Ae" ("-Ae" is preferred because
>it also turns on a bunch of symbol definitions). The autodetection scheme
>seems to be unable to figure this out, and there isn't a clearly documented
>way to override things like this. It turned out that I _could_ override it
>by defining CFLAGS when I ran configure, but this is not obvious.
>
>The errors this caused looked like this:
>>        (cd support ; make all)
>>        cc -g -c -o authuser.o authuser.c
>>cc: "authuser.c", line 36: error 1705: Function prototypes are an ANSI
>>feature.
>>cc: "authuser.c", line 50: error 1705: Function prototypes are an ANSI
>>feature.
>>cc: "authuser.c", line 71: error 1705: Function prototypes are an ANSI
>>feature.
>>cc: "authuser.c", line 100: error 1705: Function prototypes are an ANSI
>>feature.
>>*** Error exit code 1
>
>
>This is what I used to actually compile it (with configure hacked as above
>for the utmpx.h problem):
>
>>pubweb 53# cat my.configure
>>#!/usr/bin/csh -vx
>>setenv CFLAGS "-Ae"
>>nohup ./configure --prefix=/local-adm           \
>>        --with-confdir=/usr/local/lib/test-ftpd \
>>        --with-logdir=/var/adm/test-ftpd                \
>>        --with-piddir=/var/test-pid                     \
>>        >& my.configure.out.$$ &
>>#
>>ps -f
>>#
>>ls -la my.configure.out.$$
>>#
>>pubweb 54#
>
>The various directory values represent local practice and stuff for
>testing, not anything required by the OS.

---
    Albert Lunde                      [email-masked]